===========
Nov 20 2011
-----------
NextGrid v5.5
--
added: GetRowIndex(TRow) method. Return absolute index of TRow object.
added: OnCalculateRow event. Occur when CalculateFooter method is called and row is being calculated. Parameter (var) Accept control if row will be included in calculation.
added: IndicatorDrawingOptions property. Enable custom drawing of Indicator.
	added: OnCustomDrawIndicator event. Parameters: Index, IndicatorRect, Selected, Highlighted.
fixed: Bug fixes and internal tweaks.

NextInspector v5.5
--
added: EditOptions property for TNxPopupItem descendants (TNxDateItem, TNxColorItem...).
fixed: Bug fixes and internal tweaks.

===========
Oct 15 2011
-----------
NextGrid v5.4.4
--
fixed: Bug for displaying TNxGraphicColumn.

NextDBGrid v5.4.4
--
added: doStandardBrowsing flag in DataAwareOptions property. When set to True, PageDown & PageUp keys will act like in non-DB Grid.
fixed: Home & End keys support in Buffered mode.

NextInspector v5.4.4
--
fixed: Bug for input inside NxComboBoxIte.
fixed: Expand bug for Items not visible in screen.

===========
Sep 21 2011
-----------
NextGrid, NextDBGrid v5.4.3, NextInspector v5.4.3, Next Collection, NextSheet v1.6.3
--
added: Delphi XE2 Support (VCL: 32bit & 64bit).

NextGrid v5.4.3
--
fixed: FirstRow bug after calling AddChildRow.

===========
Sep 15 2011
-----------
NextGrid v5.4.2
--
added: OnCellShowing event. (var) Parameter Showing control Cell's visibility.
added: OnEditEnter event. Occur after Grid enters into edit state.
added: AutoEdit Boolean property. When set to True, cell will automaticaly enter into edit state after it is selected with keyboard.
added: Editing (read-only) property. Return True if grid is in Editing state.
added: ObjectReference TObject property to the Column.
fixed: OnBeforeSelect event bug.
fixed: LastVisibleRow bug.

NextDBGrid v5.4.2
--
fixed: Problem with NxDBHtmlColumn and mouse clicks.

NextInspector, NextDBInspector v5.4.2
--
added: SuffixDisplayMode property for Item.

NxComboBox
--
added: Event OnPaint in NxComboBox, NxDatePicker, NxColorPicker, NxFontComboBox, NxCalcEdit. Drawing may be controled via DrawingOptions property.
fixed: Location of popup window.

NxAlertWindow
--
added: aoAutoSize Flag in Options property. When set to True, size of Window will be adjusted to size of Text.
added: gpLeftTop value in GlyphPosion property.

NxAlertList
--
added: New component. Provide support handling for multiple NxAlertWindow components.
	added: Add method. Create, add into list and return new NxAlertWindow component. NxAlertWindow is automaticaly destroyed and removed from list after OnClose event occur.
	added: AddCopy method. Create copy of specified NxAlerWindow object and add it into list.
	added: Alert[] array property.
	added: AutoRemove property. When set to True, popup will be automaticaly remove from list after OnClose event of Alert occur.
	added: AutoRelease property. When set to True, popup will be automaticaly destroyed after OnClose event of Alert occur.
	added: IndexOf method. Return Index of specified NxAlertWindow in list.

NxPageControl
--
added: Event OnTabClick. Occur when user click on Tab. Include PageIndex (Integer) property.

===========
Jun 10 2011
-----------
NextGrid v5.4.1
--
fixed: NxHtmlColumn now support WrapKind property.
fixed: Auto scroll on vertical resizing.

NextDBInspector v5.4.1
--
fixed: Updating Item on Field update.

===========
May 10 2011
-----------
NextGrid v5.4
--
added: HtmlColumn now support word-wrap
fixed: Problem with scrollbar when there are to few rows
fixed: Drawing Vertical oriented text in Headers
fixed: Bug fixes and internal tweaks.

==========
Apr 1 2011
----------
NextGrid v5.3.5
--
added: ScrollBars property. Show/Hide horizontal and/or vertical scrollbar.
added: ButtonWidth property in NxButtonColumn.
fixed: Bug fixes and internal tweaks.

NextDBGrid v5.3.5
--
added: ButtonWidth property in NxDBButtonColumn.
fixed: Bug fixes and internal tweaks.

NextEditors
--
fixed: Problem with thumb size in NxComboBox

===========
Jan 20 2011
-----------
NextGrid v5.3
--
added: SlideAnchors property for Column.
fixed: Pressing Home now select first enabled and visible column.

Next Collection
--
added: PageStyle property to NxTabSheet.
added: bkCustom in BackgroundKind property.
added: Event OnCustomDrawBackground for custom drawing. This event trigger when bkCustom is set in BackgroundKind.
added: ipHtmlText in Options property for NxInfoPanel. This flag enable html text to be drawn in text.

==========
Dec 1 2010
----------
NextGrid v5.2.7
--
added: TextColor property for TCell. Specify TextColor of cell.
added: Support for scrolling with Gestures.
added: OnCustomDrawFooter event, and DrawingOptions property in Footer property of Column.
added: Added tag background to the NxHtmlColumn with color attribute. This property change background of text.
fixed: Bug fixes and internal tweaks.

NextInspector v5.2.7
--
fixed: Bug fixes and internal tweaks.

===========
Sep 10 2010
-----------
NextGrid v5.2.5
--
added: Images property in NxTreeColumn.
added: ImageIndex property of the Row.

NextInspector v5.2.5
--
added: OnAfterEdit event. Occur when item editing is done.

Next Collection
--
added: New component NxGlyphPageControl.
===========
Aug 10 2010
-----------
NextGrid v5.2
--
added: Range multi-select.
added: FullSize property in NxColorColumn. When True, color box will ocuppy whole cell.

NextInspector v5.2
--
added: ItemByCaption[] property in Items property of NextInspector. Return Item by caption.
added: GetFirstChild property of Item added.
added: ShowMinimize and Minimized properties for Item. Designed for items with large ItemHeight.

NxPageControl
--
added: New property PartialTabs. When set to True, tab will be partialy shown when oversize control's width.

NxToolbar
--
added: Visible property to the Item.
added: OnClick event to the Item.

NextSheet
--
added: OnChange event. Occur when Text property of cell is changed.

===========
Jun 10 2010
-----------
NextGrid v5.1.6
--
fixed: bug-fixes and internal tweaks.

NextInspector v5.1.6
--
added: OnDrawPreview event.
fixed: Bug with ShowPreview property of Item.

NxComboBox
--
added: AutoCompleteDelay property for enabling auto-complete feature

NxToolbar
--
added: New Toolbar component (BETA)

===========
May 15 2010
-----------
NextGrid, NextDBGrid v5.1.5
--
fixed: bug-fixes and internal tweaks

NextSheet v1.4.5
--
fixed: Drawing merged cells while scrolling.
fixed: Selection may be made with pressing left mouse key only.

Next Collection
--
added: New component TNxHint. Add support for HTML formated hint windows.

===========
Apr 15 2010
-----------
NextGrid v5.1
--
fixed: Bug with cursor in NxHyperlinkColumn.
added: OnDataChange event. Occur when column/row is added, deleted or inserted.

NextGrid, NextDBGrid v5.1
--
added: Precision property to the TNxProgressColumn and TNxDBProgressColumn.
fixed: Right click select bug.

NextInspector v5.1
--
fixed: TNxToolbarItem: color of text when item is disabled.
added: TNxSpinItem: added event OnSpin which occur by clicking on spin buttons of InplaceEditor.

NxColorScheme
--
added: 3 new color schemes: csBlue2010, csBlack2010, csSilver2010 to support MS Office 2010 color schemes.

Next Editors
--
added: OnButtonDown event for editors with button.

Next Collection
--
fixed: NxOutlookBar: AV when click on space between items.
added: NxPageControl: TabMargin property. Specify extra space on right and left side of tab. 

===========
Jan 15 2010
-----------
NextGrid v5.0.6
--
fixed: Bug fixes and internal tweaks.

NextInspector v5.0.6
--
added: ButtonCaption property for NxButtomItem and descendants. This property specify text which will appear on button of Editor.
fixed: Bug fixes and internal tweaks.

NxIconList
--
added: New component. Display and select icon from attached ImageList.

NextSheet v1.4.1
--
fixed: problem with parsing large cell address. 

==========
Dec 5 2009
----------
NextGrid, NextDBGrid v5.0.5
--
changed: Click on empty area deselect multi selection.
fixed: Text-fit hint in HTML Column.
changed: Internal tweaks and bug fixes.

NxExpandPanel
--
added: New component on "Next Collection" tab.

NxHeaderPanel
--
added: hoClickOnBodyExpand flag in Options property. Expands panel when user click on body. 

NextSheet v1.4.0
--
added: Moving selection with arrow keys.
changed: Internal tweaks and bug fixes.

NxLinkLabel
--
added: HoverColor property. Specify color of link when mouse is over label.

===========
Oct 15 2009
-----------
NextGrid v5.0.1
--
fixed: Drawing tree-lines in NxTreeColumn
added: New HeaderStyle hsOffice2007

NextInspector v5.0.1
--
fixed: Drawing background for NxToolbarItem in psOffice2007 and psWhidbey style.
added: DrawingOptions property for each Item. Used for custom drawing.
added: OnCustomDrawItem event.
added: InitialDir property in TNxImagePathItem.

NxHtmlLabel
--
changed: Component is now TGraphicControl descendant instead of TCustomControl.
added: Transparent property. When set to True label will be transparent.

NxComboBox
--
added: DrawingOptions property for custom drawing items.
added: OnDrawItem event for custom drawing items inside ComboBox.

NxPanel
--
fixed: AutoSize property when set to True.

NxLinkMenu
--
added: Glyph property for Section. 
==========
Aug 5 2009
----------
NextGrid v5.0
--
added: ShowButton property in NxMemoColumn and NxDBMemoColumn.

Next Editors
--
added: ShowButton in TNxButtonEdit descendants. When set to False button will be hidden.

NextInspector v5.0
--
added: ItemHeight property for each Item. Now every item may have own height. When this property is set to 0, global RowHeight will be used.
added: Alignment property to the TNxCustomTextItem descendants.
added: VerticalAlignment property to the TNxCustomTextItem descendants.
added: WrapKind property to the TNxCustomTextItem descendants.
added: Uncover method for Item. It expand all parent items of Item.

NxPathControl
--
fixed: ImageIndex property of Node.

NxGlyphButton
--
added: Down property. If True, set button in "Down" state. 

==========
Jul 5 2009
----------
NextGrid, NextDBGrid v4.9.5
--
fixed: "Convert To" option inside Columns Editor.

NextSheet 1.3
--
added: Print method suitable for basic printings.

==========
Jun 5 2009
----------
NextGrid, NextDBGrid v4.9.1
--
added: OnMouseEnter. Occur when cursor enter into grid.
added: OnMouseLeave. Occur when cursos leave the grid.
added: OnLoadProgress event. Occur when grid is loaded with using LoadFromTextFile method.

NextInspector v4.9.9.1
--
fixed: NxTrackBarItem with ShowSuffix bug.
fixed: Suffix Parent bug.

NxPageControl
--
added: MovePage method. Moves page from one position into another.

===========
May 15 2009
-----------
NextGrid v4.9
--
added: OnChange event in TNxCheckboxColumn

NxButton
--
added: GlyphSpacing property. Determine space between Glyph and Text

==========
Apr 4 2009
----------
NextGrid 4.8
-
added: StartRowCount property. Specify number of rows that will be presented in run-time.
added: NoneCaption and TodayCaption properties to DateColumn.
added: StartRowCount property for adding rows in designtime
fixed: Internal tweaks and fixes.

NxDBGrid 4.8
--
added: ColumnByField method. Return first column which is related to Field paramater.

NxButton
--
added: ShowArrow property. When True black arrow will be shown on right side of button. 

===========
Dec 25 2008
-----------
NextGrid v4.7, NextInspector v4.9.8
--
added: Initial support for Delphi 2009
added: Internal tweaks

===========
Sep 25 2008
-----------
NextGrid v4.6
--
added: Padding property to Column.
added: BestFitColumns method which best-fit all columns.
added: HomeEndBehaviour property. Specify which 1st and last cell will be selected (top/bottom , left/right).

NextInspector v4.9.7
--
fixed: Tab key when WantTabs is True.
added: OnUnselectItem event. Occur when Item is no more selected.
added: iaHideSelection in AppearanceOptions. When True, selection will be hidden when component lose focus.

NextSheet v1.1
--
added: OnCellColor event.

NxFlipPanel
--
added: CaptionCollapsed property indicate caption when panel is collapsed.
added: AllowFlip property. When set to False, control may not be fliped. 

===========
Aug 15 2008
-----------
NextGrid v4.5
--
added: New column type: NxColorColumn.

NextGrid, NextDBGrid
--
fixed: Size of ScrollBar's thumb (thanks to user AIM)
added: Oveloaded version of Columns.Add with Count parameter.

NextDBGrid v4.5
--
added: OnDeleteRecord event with Accept parameter. Occur when user press Del key on keyboard.
changed: In design-time, FieldName may be picked even if DataSet is not active.
changed. When columns are added upon DataSet activation, Field.Display name will be written inside Header.Caption of column.

NextInspector v4.9.6
--
changed: GetItemAtPos become public
changed: OnSelectItem event will not occur after second click on same item.

NextEditors
--
added: NxFolderEdit with opening Browse For Folder dialog.

NextSheet
--
added: SaveToCSVFile method.

NxToolBox
-- 
added: Color property specify background
added: Category may have icon too (aligned on right side)

============
July 10 2008
------------
NxButtonEdit
--
added: Ctrl + Enter activate OnButtonClick event.

NextGrid v4.4.5
--
added: MinWidth property for Column. Column can't be smaller size than value in MinWidth property is.
changed: AddRow method is now function and return LastAddedRow as result.

NextDBGrid v4.4.5
--
added: doInsDelKeys flag in DataAwareOptions property. When True, Ins key will Insert new record (DataSet.Insert). Delete key deletes record (DataSet.Delete).

NextInspector v4.9.5
--
added: ButtonWidth property for NxButtonItem. Specify size of Inplace Editor's button size.

============
June 23 2008
------------
NextGrid v4.4.1
--
added: HighlightButton property for TreeColumn. When True, +/- button will be drawn in clHighlight color when cell is selected.
added: Row[] property is now public
added: Data (Pointer) property to the Row.
added: New column type Hyperlink Column.

NxPageControl
--
added: pgCustomTabsPopup flag in Options property.
added: OnCustomTabsPopup event occur when user click on tabs-popup button and if pgCustomTabsPopup flag in Options is set to True. This event give a change to open custom popup-menus.

NxGlyphButton
--
added: DisabledImage property. Image that will be shown when button is disabled. 

============
June 10 2008
------------
NextGrid v4.4
--
added: InputEnterMode property. Specify how Enter key will react while InputLine is selected.
added: AddCells overloaded method. Now with ColumnIndex it will add new cells only in specified column.
added: coFullResort flag in Options property of column. When set to True, second click on column will not only invert column but re-sort it again.
changed: InputValue property of Column become published.
fixed: Problem with editing NxTimeColumn.

NextInspector v4.9
--
changed: Associate property now accept TPersistent objects.

NxMonthCalendar
--
added: New component similar to MonthCalendar but with NxDatePicker style.

===========
May 20 2008
-----------
NextGrid v4.3.8
--
added: Empty property for cell. When set to True, cell's content will not be drawn
fixed: Bug fixes and internal tweaks

NextDbGrid v4.3.8
--
fixed: Bug fixes and internal tweaks

NextSheet v1.0.8
--
added: CopyCell method.
fixed: Bug fixes and internal tweaks

NxAlertWindow
--
added: aoHtmlText flag in Options property. When set to True, Text property will be drawn as simple HTML text.
added: OnLinkClick event. Occur when user click on link inside html text.

NxButton
--
added: Layout property expanded with blGlyphTop, blGlyphBottom.

NxGroupHeader
--
added: Glyph property
added: FillStyle property

==========
May 5 2008
----------
NextGrid v4.3.7
--
fixed: Frame painting issue.
fixed: OnBeforeSelect bug with arrows and TAB key.

NextInspector v4.8.7
--
fixed: NxComboBoxItem editor doesn't hide.

NxComboBox
--
fixed: Bug when drop-down is open and edit loses a focus.

NxSheetView v1.0.7 Beta
--
added: FrameRange procedure. Draw frame around range of cells.
fixed: Selection bug.

===========
Apr 20 2008
-----------
NextGrid v4.3.6
--
fixed: Bug fixes and internal tweaks.
added: StyleClass property to Column. This property is used within SaveToHtmlFile method. Each column may have own Css class defined.
improved: SaveToHtmlFile method. SaveSetings parameter added with following flags:
- hsCreateStyleSheet: Create additional .CSS file attached to main .Htm file.
- hsSaveHeaders: Save headers such as (html, body...). When this glag is not set, user my create this header within own code and place grid on desired place.
- hsSaveFooter: Save footer.
- hsSaveCaption: Save caption tag for table. Use NextGrid.Caption for value.

NextInspector v.4.8.6
--
added: CollapseAll method. Collapse all items.
added: ExpandAll method. Expand all items.
added: BeginUpdate/EndUpdate methods.

NxPageControl v.1.7.5
--
added: ScrollMethod property. Values: smPixels - scroll by 10 pixels, smTab - scroll by one tab, smSelect - select next/previous active page.
changed: Improved ScrollToTab method.

NxButton
--
added: Layout property. Values: blGlyphLeft (default), blGlyphRight. Determine how Glyph and Text will be positioned.

NxOptionButton
--
new: component started NxOptionButton which look and act similar to options buttons in Microsoft Windows™ Vista.

NxImage
--
added: Center property.
added: DrawBackground. Usefully when image contain non-painted areas such as icons with alpha-channel.

===========
Mar 31 2008
-----------
NextGrid, NextDBGrid v4.3.5
--
added: ShowNoneButton property in NxDateColumn. Show/Hide "None" button inside Date picker Inplace Editor.
added: ListWidth property in NxComboBoxColumn. If value of property is different than 0, drop-down list width of combo-box inplace editor will be set by this property.

NextGrid v4.3.5
--
added: RowCount property is now not Read-only. Rows will be added or deleted depending on new Value.

NextInspector v4.8.5
--
added: Images property in NxComboBoxItem. Assign TImageList to the ComboBox Inplace Editor.

NxComboBox
--
added: ListWidth property. If value of property is different than 0, drop-down list width will be set by this property.

NxPathControl
--
added: EnableVisualStyles property. When value of this property is true and ButtonStyle property is bsDefault, buttons will be drawn with using Windows XP/Vista theme elements.
added: Tag property.

NextSheet v1.0.5 Beta
--
added: Initial support for Cell Formulas.
added: Kind property of cell (ckGeneral, ckNumber, ckDateTime).
added: FormatMask property of cell. FormatMask is applied depending of Kind property.
added: AppearanceOptions SET property. Flag apIndicateCalculated show/hide mark on calculated cells (cells with formula).
added: soAutoCalculation flag in Options property. When set to False, CalculateSheet method need to be manually called.

NxGlyphButton
--
added: Property BackgroundDrawStyle which may be set to bdsOpaque, bdsSkip, bdsTransparent.

NxHtmlLabel
--
new: New component. Use same drawing as Html Column in NextGrid.
added: OnLinkClick event. Occur when use click on "a" element inside html.

==========
Mar 5 2008
----------
NextGrid v4.3
--
fixed: Multi-select with manual Drag & Drop (with using BeginDrag method).

NextSheet v1.0.4 Beta
--
improved: Drawing borders routines.
fixed: Horizontal scrollbar update after column is resized.
added: StylePainter property (class object). This property gives a possibility to easily apply one style (Color, Alignment, Font) to the range of cells.

NxLabel
--
fixed: Problem when setting Associate property.

NxCheckBox
--
fixed: Drawing Caption when Alignment is taRighJustify.

NxPageControl
--
added: TabAlignment property. Justify Caption of tabs to the Left, Center or Right side of Tab.

NxPathControl
--
added: OnPopup event. Occurs step before pop-up with child-items is shown. Node parameter indicate node opened. If this parameter is nil, this indicate that Root items are displayed.

===========
Feb 15 2008
-----------
NextGrid v4.2.4
--
added: Html Column best fit row support.

NextDBGrid v4.2.4
--
added: MemoDisplayOptions property for NxDBMemoColumn (mdDefault, mdContent). When mdContent is set, content of memo blob fields will be displayed instead of (MEMO) default string.

NextInspector v4.7.9
--
added: TopLevelCount property for Items property. Return number of top-level (categories) items.
added: OnEditDblClick event. Occur on double click inside Inplace Editor.

NextSheet v1.0.3 Beta
--
fixed: Bug fixes and improvements.

NxAlertWindow
--
added: OnClose event. Occur when window is closed (by clicking on close button, or automatically).

NxPathControl
--
added: Item[Index] property for Item. Return child (sub) node of Item with specified Index.
fixed: Even if Selected property is nil root item may be selected.

===========
Dec 31 2007
-----------
NextGrid, NextDBGrid v4.2.3
--
added: OnClick event for HTML Column. Return Href parameter of clicked A tag.
added: VisibleOnly optional parameter added to CalculateFooter procedure. When set to True (default False), only visible rows will be calculated.
added: lsActiveHorzOnly value for GridLinesStyle property. When this value is set, only horizontal lines for active rows will be displayed.
added: PasswordChar property for TextColumn. When this property is different than #0, password char will be displayed.
changed: HTML Column drawing. HTML output is now improved and more correct.

NextInspector v4.7.8
--
added: AutoClose property for CalcItem. When true, popup window of editor will be automatically closed after clicking on '=' sign.

NxCalcEdit
--
added: AutoClose property (default False). When true, popup window will be automatically closed after clicking on '=' sign.

NxPageControl v1.7
--
fixed: ScrollToTab function. This function is called after ActivePage property is set.
fixed: Cross-line bug when tab position is tpBottom.
fixed: Anchors bug on non-active pages.

NxAlertWindow
--
added: If CloseDelay property is set to -1, pop-up will stay on screen until it is closed manually.
added: PopupSound property. Play specified sound after popup.
added: OnPopup event. Occur after pop-up progress is done and component is fully visible.

NxPathControl
--
added: ButtonStyle property.
added: Find(Pointer) function. Return node object based on specified pointer.

===========
Nov 30 2007
-----------
NextGrid, Next DBGrid v4.2.2
--
added: SaveToRegistry/LoadFromRegistry methods. Very similar to SaveToIni/LoadFromIni, but it store data into registry instead in INI file.
added: FormatMaskKind property in Column.Footer with values: mkText, mkFloat. mkText use FormatMaskText function to format Footer's caption. mkFloat use FormatFloat but work only with numbers.
added: ExpandLock property in TreeColumn. When True, row can't be expanded/collapsed with keyboard or mouse.
added: ShowButton property in TreeColumn. When False, expand/collapse buttons are hidden.
added: OnExpand event. Occur when expanded state of Row is changed.

NextInspector v4.7.7
--
added: Items.Insert method. Inserts a item into the tree before the item specified by the Item parameter.
changed: EndEditing method moved into public section of TNxCustomInspector class.

NextDBInspector v4.7.7
--
added: New item type: TNxDBLookupItem: ComboBox item wich retreive values from other DataSet.

NxColorPicker
--
added: Event OnColorOver with Value (TColor) parameter. Occur when color picker is open, and mouse is moved over colors.

==========
Nov 5 2007
----------
NextGrid, NextDBGrid v4.2.1
--
added: OnEditExit event. This event occur when editing is over and grid exit from editing state, no matther if editing is finished or canceled.
added: OnEditText event. Occur when InplaceEditor's value is applied. Value parameter is var and it may be modified.
fixed: InsertRow bug.
fixed: GetLastChild, GetFirstChild bug.

NextInspector v4.7.6
--
added: Ctrl + Home/End select First/Last visible item even if currently selected item is in edis state.
changed: Only SPACE key may change state of NxCheckBoxItem.
fixed: Editing WideString Fields.

NextDBInspector v4.7.6
--
fixed: AV on applying SpinItem with formatmask.

Next Editors
--
fixed: Opening Popup's on desktops with multiple monitors.

Next Collection
--
added: pgTabsPopup flag in Options property of NxPageControl. When True, button to open pop-up menu with tabs list will appear.
added: Design-time items inside components property editor of NxPageControl.
fixed: AutoSize bug when Glyph/Font/TextDistance/DisplayMode property is changed.

===========
Oct 10 2007
-----------
NextGrid, NextDBGrid v4.2
--
added: MultiLineSeparator parameter in SaveToTextFile, LoadFromText file. Default value for this parameter is " | ". Multi-line cell content will be now saved in format: row 1|row 2|row 3
added: Bug fixes and internal tweaks.

NextDBGrid v4.2
--
added: SequencedScroll property
added: DataSet.Edit start editing similar to Delphi DBGrid (with using DBNavigator for example).
added: DataSource.AutoEdit property support.

NextInspector v4.7.5
--
added: New Item type: TimeColumn. Designed to work with TTime type.
added: Bug fixes and internal tweaks.

NxColorScheme
--
added: OnChange event. Occur when ColorScheme property is changed.

===========
Sep 25 2007
-----------
NextGrid, NextDBGrid v4.1.7
--
added: MaxLength property for TextColumn.
added: FindText method with SearchOptions property (soCaseInsensitive, soContinueFromTop, soFromSelected, soSearchInvisible, soExactMatch).
fixed: NxNumberColumn bug with Min & Max after leaving editing cell.
fixed: Horizontal scroll bar is no longer being scrolled by mouse wheel down when vertical scrollbar is visible.
changed: Value parameter in OnCellHint event change type from string to WideString.

NextInspector v4.7.1
--
added: EditOptions property in NxButtonItem with 2 flags: epDisablePaste - disable using Paste command, epDisableTyping - disable typing (button still may be click).

NxSpinEdit
--
fixed: Min & Max bug. When Min = 0, and Max = 0 range checking is off.

NxAlertWindow
--
added: AdaptiveColors property. When True, ForegroundColor property will be ignored and color will be taken from current ColorScheme.

NxButton
--
fixed: Click with SPACE key.

NxPageControl
--
fixed: ActivePage property drop-down in Object Inspector shows only own pages.
fixed: ParentTabFont property when adding new Page in design-time.

NxPanel
--
added: InnerMargins property.

NxInfoPanel
--
added: BorderColor property. Border is shown when ipBorder flag in Options property is set to True.

NxOutlookBar
--
added: OnChange event. Occur when DisplayCount property is changed (visible items count changed with using splitter).

==========
Sep 3 2007
----------
NextGrid, NextDBGrid v4.1.5
--
added: BestFitRow procedure.
added: DoubleClick on Row size grip, best-fit row.
added: BestFitMode parameter in BestFitColumn procedure (bfBoth, bfCells, bfHeader).
fixed: Header mouse-down and column resizing with left mouse button only.
fixed: Application.ShowHint checking
fixed: Start editing cell with coEditorAutoSelect.
fixed: Start editing ComboBox (ListBox) column.

NextDBGrid v4.1.5
--
added: Tracking property. When False, scrolling grid with holding drag button will be disabled.

NextInspector v4.7
--
added: New value in Style property: psOffice2007.
added: iaStyleColors flag in AppearanceOptions property. When True, GridColor and MarginColor properties are ignored and colors are specified from current Style.
added: WantTabs property. When Tab key is pressed, next item sibling is selected.

Next Editors
--
improved: TntUnicode controls support.

NxNotebook
--
changed: If DesignButtons is True, design-buttons will be shown in run-time too.

NxInfoPanel
--
added: New value for FillStyle property: fsGlass

NxOutlookBar
--
added: Style property (BETA)
fixed: Changing ItemHeight property.

===========
Aug 15 2007
-----------
NextGrid, NextDBGrid v4.1
--
added: MultiLine property for TextColumn descendants. If True, strings with #13#10 characters will be displayed in multiple rows.
added: TimeColumn (Beta).
- added: property HideWhenEmpty
- added: property EmptyCaption
- added: FormatMask
added: Best-fit column on cell with multiple lines.
added: OnAfterRowMove event. Occur after row is moved.
added: OnCellHint event with var parameter Value.
added: Icons in "Convert To" pop-up menu in Columns Editor.
fixed: Text-fit hint when text in cell is bold.

NextInspector v4.6.6
--
improved: Bug fixes and internal tweaks.

NxNotebook
--
improved: Page buttons in design-time. Scrolling is now supported.

NxHeaderPanel
--
added: New value for HeaderStyle property: psWindowsLive.

NxOutlookBar
--
added: AdaptiveColors property.
added: Color property for Item. Work only when AdaptiveColors is False.

NxPanel
--
added: AdaptiveColors property.
added: ColorScheme.
added: BorderPen property. TPen property.
added: PanelBorders property. Specify visible borders.

===========
Jul 23 2007
-----------
NextGrid, NextDBGrid v4.0.5
--
added: OnFooterCalculate event with var parameter Value (Double).
added: Multi-line design-time property editor for Header.Caption property.
added: New column type: MemoColumn
added: ScrollBars property in MemoColumn
changed: SelectedRow default value is -1.
fixed: Scroll past last row.

NextInspector v4.6.5
--
added: StartDay property for NxDateItem.
fixed: ScrollTo method.
----
NxComboBox
--
fixed: Problem with cursor when Style is dsDropDownList
----
NxAlertWindow
--
added: Every new window popup above previously open window (if previously open window is still open), similar to Microsoft Messanger behaviour.

NxGroupHeader
--
added: Alignment property.

NxPageControl
--
added: Confirmation dialog when clicking on close (X) button in design-time.
added: pgConstantScroll Flag in Options property. When True, tabs will be constantly scrolled on mouse down.
fixed: OnChanging event.

NxFlipPanel
--
added: BorderWidth property (default 0). Specify border size.
added: BorderColor property. Specify color of border, when BorderWidth is larger than 0.

NxRadioButton
--
added: New compoennt.

===========
Jun 30 2007
-----------
NextGrid, NextDBGrid v4.0.1
--
added: SelectFirstRow method.
added: GetCellRowIndex. Return row index of TCell in cells array.
added: StartDay property for DateColumn. Specify first day of week displayed (Sunday - dwSunday, Monday - dwMonday).
added: If coPublicUsing in Column.Options, column will not be shown in assigned FieldChoser.
added: "Align To Grid" option in popup menu inside Slides Editor.
added: OnApplyEditText event. Specify Inplace Editor initial value before start editing.
added: MouseWheelEnabled. When Enabled, control handle mouse wheels.
fixed: First cell is selected after control leave focus with pressing tab on cells.
fixed: When Enable = False, cells text is displayed in gray and scrollbars are drawn in disabled style.

NextDBGrid only
--
added: NullText for Column. Display user specified text when IsNull of Field is True.
changed: Value parameter in OnApplyCell change type from string to WideString.

NextInspector
--
added: New Folder Item, open "Browse for Folder" dialog after button click.
	- DialogCaption property.
	- Root property.
	- OnFolderSelect event.
added: MouseWheelEnabled. When Enabled, control handle mouse wheels.

Next Collection

NxPageControl
--
added: GetTabByCaption method added.
fixed: Painting bug of first visible tab, when first tab is invisible.
fixed: Auto-scroll to active tab.

NxFlipPanel
--
added: ColorScheme property and support for TNxColorScheme component.

NxHeaderPanel
--
added: DrawDirection property. When value is diRightToLeft, close button is drawn on oposite side (usefull when Align = alRight).
added: OnChanged event, trigger when HeaderPanel is Expanded/Callapsed.

Next Editors

NxDatePicker
--
added: TodayCaption and NoneCaption properties.
added: StartDay property. Specify first day of week displayed (Sunday - dwSunday, Monday - dwMonday, Automatic (Get from LocaleInfo) - dwAutomatic).

===========
Jun 13 2007
-----------
NextGrid, NextDBGrid
--
added: SlideCaption is painted inside Slides Editor.
added: Hint window (similar to one in Delphi) when moving and resizing slides in Slides Editor.
added: OnAfterSort event, occur after column is sorted. Parameters: ACol - indicate previously sorted column.
added: fkCustom FormulaKind for Footer.
added: Editing RateColumn with number keys (0 - 9), and keys "-" (decrease value), "+" (increase value).
added: Editing RateColumn with mouse clicks.
added: InactiveSelectionColor property. Specify selection color when aoHideSelection flag is set and grid is not focused.
added: HideArrow property in Column.Header. When False, sort arrow will not be automatically hidden when column width is too small.
added: EditOptions property for ButtonColumn.
fixed: OnAfterEdit for CheckBox column.

NextGrid only
--
added: ParentCellColor property for Column. When True, Cell.Color property wil be ignored.

NextInspector
--
added: Editing Item's caption by clicking on it in items tree inside Items Editor.
changed: Component icon.
changed: Items palette added inside Items Editor.

NextSheet (BETA)
--
added: InsertColumn
added: InsertRow
fixed: Range selection
changed: Numerious internal tweaks.

Next Collection

NxAlertWindow
--
fixed: Popup direction when taskbar is located on top.

NxInfoPanel
--
added: TransparentColor property for Glyph. 32bit images with alpha-channel doesn't need transparent color.
added: Text property paired with Caption property.
added: OuterMargins property.

NxOutlookBar
--
chaged: Appearance to MS Office2007 style.

NxFlipPanel
--
added: Indent property
added: DrawDirection property (diLeftToRight: Draw button, caption, glyph. diRightToLeft: Draw glyph then caption and then button)

NxHeaderPanel
--
added: Collapse button.
added: Expanded property.

NxColorScheme
--
new: Component for centralized ColorScheme setting (blue, black, silver). Appearance is in Office2007 style.

NxCheckBox
--
added: Options property
- coExpandActiveRect: When true, mouse will react on client area of NxCheckBox, not only on checkbox.

TNxMargins class
--
added: AsRect method.
added: SetRect method.

===========
May 21 2007
-----------
NextGrid v3.9.9b
--
added: goSecondClickEdit flag in Options property. When set to true, click on cell will not automatically edit cell.
added: New column type: TNxGuidColumn.

NextInspector v4.5
--
added: AppearanceOptions property with following flags:
	- iaLockedButtons: Show expand/collapse button when LockExpand property of Item is True (default False).
	- iaStyleCategories: If XP/Vista themes are active, categories will be themed (default True).
added: ssReadOnly in SuffixStyle property of Item.
added: EditOptions property in NxSpinItem.

NextCollection
--
added: NxInfoPanel component.